Package com.ocient.jdbc.proto

## Enum PlanProtocol.PlanMessage.PlanType

- java.lang.Object
- - java.lang.Enum<PlanProtocol.PlanMessage.PlanType>
  - - com.ocient.jdbc.proto.PlanProtocol.PlanMessage.PlanType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.PlanMessage.PlanType>`

Enclosing class:
  PlanProtocol.PlanMessage

    public static enum PlanProtocol.PlanMessage.PlanType
    extends Enum<PlanProtocol.PlanMessage.PlanType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.db.sqlPlans.PlanMessage.PlanType`

### Enum Constant Summary

Enum Constants
`INVALID` `INVALID = 0;`
`TKT_PLAN` `TKT_PLAN = 1;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `INVALID_VALUE` `INVALID = 0;`
`static int` `TKT_PLAN_VALUE` `TKT_PLAN = 1;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static PlanProtocol.PlanMessage.PlanType` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.PlanMessage.PlanType>` `internalGetValueMap()`
`static PlanProtocol.PlanMessage.PlanType` `valueOf​(int value)` Deprecated.
`static PlanProtocol.PlanMessage.PlanType` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.PlanMessage.PlanType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.PlanMessage.PlanType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALID

    public static final PlanProtocol.PlanMessage.PlanType INVALID

`INVALID = 0;`

#### TKT_PLAN

    public static final PlanProtocol.PlanMessage.PlanType TKT_PLAN

`TKT_PLAN = 1;`

#### UNRECOGNIZED

    public static final PlanProtocol.PlanMessage.PlanType UNRECOGNIZED

### Field Detail

#### INVALID_VALUE

    public static final int INVALID_VALUE

`INVALID = 0;`

See Also:
  Constant Field Values

#### TKT_PLAN_VALUE

    public static final int TKT_PLAN_VALUE

`TKT_PLAN = 1;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static PlanProtocol.PlanMessage.PlanType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlanProtocol.PlanMessage.PlanType c : PlanProtocol.PlanMessage.PlanType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlanProtocol.PlanMessage.PlanType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static PlanProtocol.PlanMessage.PlanType valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static PlanProtocol.PlanMessage.PlanType forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.PlanMessage.PlanType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static PlanProtocol.PlanMessage.PlanType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null